Bug 198552 - inactivate kickstart profile radio button doesn't work as expected
inactivate kickstart profile radio button doesn't work as expected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
400
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Preethi Thomas
:
Depends On:
Blocks: 248627
  Show dependency treegraph
 
Reported: 2006-07-11 15:35 EDT by Graham Biswell
Modified: 2014-08-14 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:24:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Biswell 2006-07-11 15:35:09 EDT
On RHN Satellite 4.06 the "inactivate kickstart" radio button is selected & the
"update profile" button selected. However, once this is configured, the
kickstart profile can still be accessed from the satellite using wget etc, so
systems can still be kickstarted using that profile.

I would expect that the satellite not serve the kickstart profile, if the
profile is inactive.
Comment 2 Jan Pazdziora 2007-07-13 05:06:58 EDT
Setting the sat‑5.1.0 ? flag since the bug was under rhn500s-should.
Comment 4 Devan Goodwin 2007-10-26 14:52:37 EDT
Digging through the code and asking around the satellite team, as near as we can
tell the only place this setting is used is when querying for the default
kickstart profile to use, we won't pick one set to active. Everything else keeps
working.

So the options are, (a) remove the checkbox as it doesn't do much of anything,
or (b) go to work on implementing 'inactive' kickstart profiles. Am I too assume
inactive just means the kickstart profile is no longer downloadable?
Comment 8 Devan Goodwin 2007-11-09 11:44:51 EST
Code was already filtering inactive profiles when displaying a list for
scheduling. Verified inactive profiles are filtered on the standard kickstart
provisioning page, as well as the virtualization kickstart page (the only two
places I'm aware of where we render such a list, please let me know if I've
missed any)

Added the clarification text.

Sending        code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_en_US.xml
Sending        code/webapp/WEB-INF/pages/kickstart/kickstartdetails.jsp
Transmitting file data ..
Committed revision 133686.
Comment 9 Preethi Thomas 2007-11-29 09:51:20 EST
verified in build 26
Comment 10 Preethi Thomas 2008-03-19 08:34:45 EDT
Release Pending
Comment 11 Brandon Perkins 2008-04-02 20:24:18 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.